<template>
  <div class="pop-box">
    <!-- 已加载 -->
    <div v-if="data.fileUrl">
      <el-image :src="data.fileUrl" class="img" fit="contain" :preview-src-list="[data.fileUrl]" />
    </div>
    <!-- 加载失败 -->
    <div v-else class="com_chat_notx">[图片]</div>
    <!-- <div v-else class="no-box" @click="tapNoReal">
      <i class="el-icon-picture img-icon" />
      <div class="download-btn" :class="{'show':loading}">
        <i :class="loading?'el-icon-loading':'el-icon-download'" />
      </div>
    </div> -->
  </div>
</template>

<script>
export default {
  name: 'ImagePop',
  props: {
    // 数据
    data: {
      type: Object,
      default: null
    },
    // 方向
    direction: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      loading: false
    }
  },
  // watch: {
  //   data(value) {
  //     if (value && value.fileUrl) this.loading = false
  //   }
  // },
  mounted() {
  },
  methods: {
    // 点击获取真实数据
    tapNoReal() {
      if (this.loading) return
      this.loading = true
      this.$emit('tapNoReal')
    }
  }
}
</script>

<style scoped>
.pop-box .img {
  width: 150px;
  min-height: 150px;
  border-radius: 4px;
  display: block;
}

.pop-box .no-box {
  position: relative;
  width: 60px;
  height: 60px;
  cursor: pointer;
  border-radius: 4px;
  overflow: hidden;
}

.pop-box .no-box .img-icon {
  font-size: 60px;
  text-align: center;
}

.pop-box .no-box:hover .download-btn {
  opacity: 1;
  transition: opacity .2s;
}

.pop-box .no-box .download-btn.show {
  opacity: 1;
}

.pop-box .no-box .download-btn {
  opacity: 0;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  text-align: center;
  font-size: 30px;
  line-height: 60px;
  color: #fff;
  background: rgba(0, 0, 0, 0.5);
}

</style>
